[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TField.DefaultExpression

Default value for the field

## Declaration

Source position: db.pas line 445

`published property TField.DefaultExpression : string read FDefaultExpression write FDefaultExpression;`

## Description

DefaultValue can be set to a value that should be entered in the field whenever the TDataset.Append or TDataset.Insert methods are executed. It should contain a valid SQL expression that results in the correct type for the field.

This feature is not yet implemented in FPC.

## See also

TDataset.Insert |  | Insert a new record at the current position.
TDataset.Append |  | Append a new record to the data
TDataset.CustomConstraint